summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 60d02cc)
raw | patch | inline | side by side (parent: 60d02cc)
author | Junio C Hamano <junkio@cox.net> | |
Fri, 7 Jul 2006 10:17:16 +0000 (03:17 -0700) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Fri, 7 Jul 2006 10:17:59 +0000 (03:17 -0700) |
Check for SVN::Core so test 910[45] don't fail if the user
doesn't have those installed.
Signed-off-by: Eric Wong <normalperson@yhbt.net>
Signed-off-by: Junio C Hamano <junkio@cox.net>
doesn't have those installed.
Signed-off-by: Eric Wong <normalperson@yhbt.net>
Signed-off-by: Junio C Hamano <junkio@cox.net>
t/lib-git-svn.sh | patch | blob | history |
diff --git a/t/lib-git-svn.sh b/t/lib-git-svn.sh
index 450fee89973af5fa660b43202e8945b55e01cf6f..29a1e72c61eb6e67a70c12361dada49fd77fad49 100644 (file)
--- a/t/lib-git-svn.sh
+++ b/t/lib-git-svn.sh
GIT_SVN_DIR=$GIT_DIR/svn/git-svn
SVN_TREE=$GIT_SVN_DIR/svn-tree
+perl -e 'use SVN::Core' >/dev/null 2>&1
+if test $? -ne 0
+then
+ echo 'Perl SVN libraries not found, tests requiring those will be skipped'
+ GIT_SVN_NO_LIB=1
+fi
+
svnadmin >/dev/null 2>&1
-if test $? != 1
+if test $? -ne 1
then
test_expect_success 'skipping git-svn tests, svnadmin not found' :
test_done
fi
svn >/dev/null 2>&1
-if test $? != 1
+if test $? -ne 1
then
test_expect_success 'skipping git-svn tests, svn not found' :
test_done